Package net.sf.saxon.tree.wrapper

## Interface SiblingCountingNode

- All Superinterfaces:
    `GroundedValue`, `Item`, `Location`, `org.xml.sax.Locator`, `NodeInfo`, `Sequence`, `javax.xml.transform.Source`, `javax.xml.transform.SourceLocator`
  All Known Implementing Classes:
    `AbsentExtensionElement`, `AnnotationParent`, `AttributeImpl`, `AxiomAttributeWrapper`, `AxiomDocumentNodeWrapper`, `AxiomElementNodeWrapper`, `AxiomLeafNodeWrapper`, `AxiomParentNodeWrapper`, `CommentImpl`, `DataElement`, `DocumentImpl`, `DOM4JNodeWrapper`, `DOMNodeWrapper`, `ElementImpl`, `ExtensionInstruction`, `IXSLRemoveAttribute`, `IXSLRemoveProperty`, `IXSLScheduleAction`, `IXSLSetAttribute`, `IXSLSetProperty`, `IXSLSetStyle`, `JDOM2NodeWrapper`, `LiteralResultElement`, `NodeImpl`, `ParentNodeImpl`, `ProcInstImpl`, `SaxonArray`, `SaxonArrayMemberInst`, `SaxonAssign`, `SaxonChange`, `SaxonDeepUpdate`, `SaxonDelete`, `SaxonDo`, `SaxonDoctype`, `SaxonEntityRef`, `SaxonForEachMember`, `SaxonImportQuery`, `SaxonInsert`, `SaxonItemType`, `SaxonParam`, `SaxonPreprocess`, `SaxonRename`, `SaxonReplace`, `SaxonTabulateMaps`, `SaxonUpdate`, `SaxonWhile`, `SchemaElement`, `SQLClose`, `SQLColumn`, `SQLConnect`, `SQLDelete`, `SQLExecute`, `SQLInsert`, `SQLQuery`, `SQLUpdate`, `StyleElement`, `TextImpl`, `TextValueTemplateNode`, `UnknownElement`, `XOMDocumentWrapper`, `XOMNodeWrapper`, `XSDAlternative`, `XSDAnnotation`, `XSDAny`, `XSDAnyAttribute`, `XSDAssert`, `XSDAttribute`, `XSDAttributeGroup`, `XSDComplexContent`, `XSDComplexContentRestriction`, `XSDComplexType`, `XSDCompositor`, `XSDDefaultOpenContent`, `XSDDocumentation`, `XSDElement`, `XSDExtension`, `XSDFacet`, `XSDFieldOrSelector`, `XSDGroup`, `XSDIdentityConstraint`, `XSDImport`, `XSDInclude`, `XSDList`, `XSDNotation`, `XSDOpenContent`, `XSDOverride`, `XSDRedefine`, `XSDSchema`, `XSDSimpleContent`, `XSDSimpleContentRestriction`, `XSDSimpleType`, `XSDSimpleTypeRestriction`, `XSDUnion`, `XSLAccept`, `XSLAcceptExpose`, `XSLAccumulator`, `XSLAccumulatorRule`, `XSLAnalyzeString`, `XSLApplyImports`, `XSLApplyTemplates`, `XSLAssert`, `XSLAttribute`, `XSLAttributeSet`, `XSLBreak`, `XSLBreakOrContinue`, `XSLCallTemplate`, `XSLCatch`, `XSLCharacterMap`, `XSLChoose`, `XSLComment`, `XSLContextItem`, `XSLCopy`, `XSLCopyOf`, `XSLDecimalFormat`, `XSLDocument`, `XSLElement`, `XSLEvaluate`, `XSLExpose`, `XSLFallback`, `XSLForEach`, `XSLForEachGroup`, `XSLFork`, `XSLFunction`, `XSLGeneralIncorporate`, `XSLGeneralVariable`, `XSLGlobalContextItem`, `XSLGlobalParam`, `XSLGlobalVariable`, `XSLIf`, `XSLImport`, `XSLImportSchema`, `XSLInclude`, `XSLIterate`, `XSLKey`, `XSLLeafNodeConstructor`, `XSLLocalParam`, `XSLLocalVariable`, `XSLMap`, `XSLMapEntry`, `XSLMatchingSubstring`, `XSLMerge`, `XSLMergeAction`, `XSLMergeKey`, `XSLMergeSource`, `XSLMessage`, `XSLMode`, `XSLModuleRoot`, `XSLNamespace`, `XSLNamespaceAlias`, `XSLNextIteration`, `XSLNextMatch`, `XSLNumber`, `XSLOnCompletion`, `XSLOnEmpty`, `XSLOnNonEmpty`, `XSLOtherwise`, `XSLOutput`, `XSLOutputCharacter`, `XSLOverride`, `XSLPackage`, `XSLPerformSort`, `XSLPreserveSpace`, `XSLProcessingInstruction`, `XSLResultDocument`, `XSLSequence`, `XSLSort`, `XSLSortOrMergeKey`, `XSLSourceDocument`, `XSLStylesheet`, `XSLTemplate`, `XSLText`, `XSLTry`, `XSLUsePackage`, `XSLValueOf`, `XSLWhen`, `XSLWherePopulated`, `XSLWithParam`

      public interface SiblingCountingNode
      extends NodeInfo

  Interface that extends NodeInfo by providing a method to get the position of a node relative to its siblings.

- - ### Field Summary

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `IS_DTD_TYPE, IS_NILLED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getSiblingPosition()` | Get the index position of this node among its siblings (starting from 0)

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, effectiveBooleanValue, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, getStringValueCS, head, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.s9api.Location

      `saveLocation`

    - ### Methods inherited from interface net.sf.saxon.om.NodeInfo

      `atomize, attributes, children, children, compareOrder, copy, equals, generateId, getAllNamespaces, getAttributeValue, getBaseURI, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getFingerprint, getGenre, getLineNumber, getLocalPart, getNodeKind, getParent, getPrefix, getPublicId, getRoot, getSchemaType, getStringValue, getSystemId, getTreeInfo, getURI, hasChildNodes, hasFingerprint, hashCode, isId, isIdref, isNilled, isSameNodeInfo, isStreamed, iterateAxis, iterateAxis, toShortString`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

    - ### Methods inherited from interface javax.xml.transform.Source

      `isEmpty, setSystemId`

- - ### Method Detail

    - #### getSiblingPosition

          int getSiblingPosition()

      Get the index position of this node among its siblings (starting from 0)
      Returns:
        0 for the first child, 1 for the second child, etc.